﻿#
#  This is a Python source code file, please follow the syntax of Python language
#
#  The file should be save in PLibrary/lang folder
#  The naming of the file is lang_xx_XX, where xx stands for language and XX stands for Country or Region
#
#  In addition, there are two  restrictions.
#  1. It supports one line comments only. Not support multiple line or part line comments
#  2. It supports literal text only. Not support variable or expression.
#
#
class Lang():
    title = "Personal Library "

    prompt = "Messages"
    warning = "Warning"
    buttonOk = "Confirm"
    buttonCancel = "Cancel"

    bracket0 = ' ['
    bracket1 = '] '

    mainMenuNewPLD = 'New library'
    mainMenuOpenPLD = 'Open library'
    mainMenuImportDisk = "Import disk or CD"
    mainMenuConfig = "Config"
    mainMenuHelp = "Help"
    mainMenuAbout = "About"
    mainMenuExit = "Exit"
    mainExit = "Exit Personal Library?"

    searchSearch = "Search"
    searchDate = "  Date"
    searchFrom = "from"
    searchTo = "  to"
    searchSize = "File size"
    searchMin = "min"
    searchMax = "max"
    searchRange = "Range"
    searchDisk = "[Disk & CD library]"
    searchFavor = "[Archive library]"

    searchMsg = "Select at lest one disk or folder in the [Disk & CD library]"

    searchMsgText = "Input the search text, using * as wildcard character. It will add * before and after if not Exactly."
    searchMsgDate = "Input the range of data in format of 2019-03-25"
    searchMsgSize = "Input the range of file size, with unit of G, M, K or without unit"

    configShowHiddenOff = "Not show hidden items"
    configShowHiddenOn = "Show hidden items"
    configShowLostOff = "Not show lost items"
    configShowLostOn = "Show lost items"
    configIconInner = "* Build-in icons first"
    configIconFile = "* User's icons first"
    configLangByOS = "* Use language defined by OS"
    configLayoutDisk = "* [Disk & CD library] located above"
    configLayoutFavor = "* [Archive library] located above"
    configSearchTxtHistory = "Search text in history"
    configSearchTxtCommonUse = "Search text in common use"
    configLayoutMsg = '* Reload the Personal Library after changing to make it effect'

    itemsSelected = "Select %s items (as the range when searching)"
    itemsSelectedFile = "Select %s items "
    diskNoNotAssign = "Disk number missing"

    diskLibrary = "[Disk & CD library]"
    diskLibraryFile = '  [Disk & CD library] file list  '
    diskLibrarySearch = '  [Disk & CD library] search result  '
    favorLibrary = "[Archive library]"
    favorFile = '  [Archive library] file list  '
    favorSearch = '  [Archive library] search result  '

    doubleClick =   "Open file directly (Double click)"
    clickAlt =      "Open folder  (Alt + Single click)"
    ctrlA =         "Select all                   (Ctrl + A)"
    ctrlC =         "Copy                        (Ctrl + C)"
    altC =          "Copy file name only    (Ctrl + F)"
    ctrlH =         "Hide                         (Ctrl + H)"
    ctrlU =         "Unhide                      (Ctrl + U)"
    ctrlR =         "Find duplicated file     (Ctrl + R)"
    copiedMsg = "Successfully copied, (to be pasted to Excel, Word etc. or paste to [Archive library]."
    itemsMsg = "Totally %i folders and %i files"

    ctrlX =         "Cut                            (Ctrl + X)"
    ctrlV =         "Paste                         (Ctrl + V)"
    ctrlD =         "Delete                       (Ctrl + D)"
    newFavorItem =  "Create favor items      (Ctrl + N)"
    editFavorItem = "Edit favor items (Alt+Single click)"

    onDeleteConfrim = 'It will delete the selected %i items (include all sub-folders). CD files will be deleted permanently, and disk files may be imported againg after synchronizing.\nConfirm delete?'
    onDeleteMsg = 'Successfully delete %i items (and all sub-folders)'

    onvDeleteConfrim = 'It will delete the selected %i items (include empty folder).\nConfirm delete?'
    onvDeleteMsg = 'Successfully delete %i items (files and empty folders)'

    newFavorItemTitle = 'Create favorite item'
    editFavorItemTitle = 'Edot favorite item'

    defaultFavorTag1 = 'Files'
    defaultFavorTag2 = 'Web address'
    defaultFavorTag3 = 'Memorandum'

    favorType = 'Type:'
    favorTypeDir = 'Folder'
    favorTypeNote = 'Memo'
    favorTypeLink = 'File link'

    favorTitle = 'Title'
    favorURL = 'URL, starts with http://'
    favorNote = 'Memorandum'
    titleEmpty = "The title should not be empty"
    badUrlString = 'The syntax of URL %s is incorrect. (starts with http:// or https:// only)'
    dirCreated = 'Successfully create folder, refresh the folder tree on left to show the updates'
    fileCreated = 'Successfully create file (file link, url collection, or memorandum)'

    itemsHidden = "Hide the selected %i items"
    itemsUnhidden = "Unhide the selected %i items"
    searchStatus = "Found %i items (max %i items). Search for folders only when min and max size are 0. Search for files only when min size is 0."
    lostTabName = "  Lost items  "
    hiddenTabName = "  Hidden items  "
    showHiddenLostStatus = "List hidden %i items (Max is %i items). Set the configuration to show lost and hidden files both to list them."
    duplicateTabName = '  Duplicated files  '
    showDuplicateStatus = "List duplicated %i files (Max is %i files). Set the configuration to show lost and hidden files both to list them. They are files with same name, date, and size among the whole library."

    libraryFile = 'Personal Library file'
    newLibrary = 'Name and location of new Personal Library file'
    newLibraryMsg = 'Personal Library file %s already exists, Creating fails.\n\nPlease delete the file in OS first if you want to create it.'
    newLibraryConfrim = "It will Personal Library file %s.？\n\nUsually, one Personal Library file is enough. Still create it?"
    openLibrary = 'Open Personal Library file'

    utf8FileFormat = "Language file %s should be saved in UTF-8 format."
    diskNotDirectory = "Select one or more top folders, not sub-folder"

    onImportDisk = "Import disk or CD"
    onRefreshDisk = "Refresh disk & CD list"
    onSychronizeDisk = "Synchronizing disk"

    onHiddenDisk = "Hide disk"
    onUnhiddenDisk = "Unhide disk"

    onListLostFile = "List lost items"
    onListHiddenFile = "List hidden items"
    onListFavorFile = "List favorite items"

    onDeleteLost = "Remove lost items"
    onDeleteDisk = "Delete disk and it's contents"
    onChangeDiskTag = "Edit disk number"
    onDiskInfo = "Disk properties"

    onCreateFavorDisk = "Create favorite disk"
    onChangeDiskName = "Edit disk name"

    noLostFiles = 'There is no lost items on this disk'
    delLostMsg = 'It will remove all %i items on "[%s] %s"\nConfrim remove?'

    # for disk import
    selectDisk = 'Select one or more disks or folders'
    selectNoDisk = "No target disk selected, importing abort."
    selectDiskConfirm = 'It will import the selected disk or folder.\nConfirm import?'
    importDiskRepeatMsg = 'The disk or folder "[%s] %s" was imported already (may be hidden). No repeat importing allowed. You may import it after you delete the disk and it\'s contents.'

    diskProperty = 'Disk properties'
    diskTag = "Disk number: "
    diskName = "Disk name: "
    diskDirs = "Folders: "
    diskFiles = "Files: "
    diskHiddens = "Hidden items: "
    diskDeleted = "Lost items: "
    diskSpace = "Total size: "
    diskTotal = "Total items: "
    diskFileSystem = "File system: "

    importProgress = "Importing progress: %s items. There may be pause for a short time if items is too muuch."
    importCompleted = "Successfully importing %s folders and %s files with %s seconds。"
    importTime = "[Import date]"

    synchroProgress = "Synchronizing progress: %s items. There may be pause for a short time if items is too muuch."
    synchroConfirm = 'It will Synchronize "[%s] %s"\n\nSynchronizing will take more time than importing. However, Synchronizing is still the best choice.\nConfirm synchronize?'
    synchroCompleted = "Synchronized %s folders and %s files. Added %s items and found %s items lost with %s seconds"
    synchroTime = "[Synchronize date]"

    sysConfig = "Configuration"
    sysAbout = "About"
    sysHelp = "Help"

    headName = "Name"
    headPath = "Path"
    headExt = "Type"
    headSize = "Size"
    headDate = "Mod date"
    headFiDate = "Import date"
    headLost = "Lost"
    headVolNo = "Number"

    directoryLost = "The folder was lost and could not be opened in Windows Explorer."
    fileLost = "The file was lost and could not be opened"
    fileIsOnCd = 'The file is on a CD named "[%s] %s", please insert the CD in the CD driver.'
    fileIsOnDisk = 'The file is on a disk named "[%s] %s". \nThe reasons and solutions are: \n(1) The file is on another computer: Copy the data to the computer and run it.\n(2) The file is on U-disk or portable disk: Mount the disk to this computer.'

    ########################### multiply line text ###########################
    selectDiskMsg = '''Import all folders and files from following disk or folder (not inlucde system files, hidden files, and files in Windows system folders):
    [%s]
Importing will take long time (about 50,000 file a minute), Confirm import?
    =============================================
    Disk number is in format "A01". A letter followed by two digits. It is for sorting and classifying. The suggestions are:
      A, B, C, D: for computers and laptop.
      E, F: for U-disks
      G, H: for portable disks
      J～Q: for CDs, DVDs, and blue CDs
      R～Z: for favorite disks (virtual disk) in [Archive library]
    =============================================
Input the number (auto numbering for one letter):'''

    changeDiskTagMsg = '''Disk name:%s 
Disk number:%s
    Disk number is in format "A01". A letter followed by two digits. It is for sorting and classifying. The suggestions are:
      A, B, C, D: for computers and laptop.
      E, F: for U-disks
      G, H: for portable disks
      J～Q: for CDs, DVDs, and blue CDs
      R～Z: for favorite disks (virtual disk) in [Archive library]
    =============================================
Input the number (auto numbering for one letter):'''

    changeDiskNameMsg = '''Disk name:%s 
    Disk number:%s
    =============================================
Input new disk name:'''

    createFavorDiskMsg = '''Disk number:%s
Disk number is auto created and may be changed later.
    =============================================
Input new disk name:'''

    delDiskMsg = '''It will delete the disk and it's contents (not the really files):
    Disk number: %s
    Disk name: %s
Confirm delete?'''

    sysHelpMsg = '''
    Personal Library (PLibrary) is a software to manage all files in a central place. These files are from multiply source, inclucing hard disks, U-disks, portable disks, CDs, DVDs, and blue CDs. PLibrary imports all files information into one database and provide an easy user interface to manage these huge files information.
\n
    Personal Library (PLibrary) is an application to manage all files in a central place. These files are from multiply source, including hard disks, U-disks, portable disks, CDs, DVDs, and blue CDs. PLibrary imports all files information into one database and provide an easy user interface to manage these huge files information, like they are in one disk only.
\n
    PLibrary manipulate file information only, such as file name, size, and data. It does not manipulate the real file itself. You may read or write the file still on the storage medium when you need to access them. 
\n
    [Disk & CD library] is the collection of file information from disks, U-disks, portable disks, and CDs. They are readable and for searching only. You may search for the file information even the U-disks, portable disks, and CDs in absentia.
\n
    [Archive library] stores the information obtained from the [Disk & CD library]. They are readable and writable. You may copy important file information from [Disk & CD library] to favorite folder in [Archive library] to give you a tool to classify them in a different way. You may also attach comments or URL address to it. Therefore, [Archive library] also acts as collection of URL bookmark and memorandum.
\n
    PLibrary is freeware, you may use and distribute it freely. The author is a teacher in a college and developed it as a full featured demo application of Python languages.
\n
\n
            ====== Brief Manual ====== 
\n
    PLibrary is green software and be run after unzip.
\n
    It will create two files when first running:
\n
    (1) PLibrary.cnf: This is a configuration file to save configuration information.
    (2) PLibrary.pld: This is the central database storing all file information of your disks so you may search it in one place.
\n
    [Disk & CD library]: You import all your disks (U-disks, portable disks, and CDs). It will not import system files and hidden files. You may put your sensible files to hidden folders to avoid to be imported. You may also hide the files in PLibrary to show or not show them later depends the setting in configuration.
\n
    If you add new files in your hard disk or remove some one. You may synchronize the disk to make PLibrary store the latest information. For the files deleted on your hard disk, PLibrary will mark it as lost to keep the changing history of the disk. You may remove the lost file information at any time, too.
\n
    [Archive library]: You copy file information from [Disk & CD library] or create new items independently. Each item may have notes or URL attached so it also acts as a URL bookmark and a memorandum.
\n
    PLibrary provide powerful search features. You may search file name, date, size among disks and folders at one time in the order set by you. You may also find the duplicate files and files with same size as potential same file.
\n
    PLibrary provide an easy use interface. All features are provided as you see at a glance without any hidden interface. Right click menu and short cut are carefully designed to help you use it without any manual.
\n
    PLibrary is also tight security. Firstly, you may avoid to import sensible files by put them in hidden folders. Secondly, you may delete the imported sensible files information from the database. Thirdly, you may mark files as hidden in PLibrary and config PLibrary to show or not show the hidden information.
\n
    File icons are in PLibrary/icon folder. They are 16x16 png file with name of postfix name.
\n
    Language file are in PLibrary/lang folder. There are two demo files there. Translation of this file into other languages are greatly welcome.
\n
\n
    Web page: http://ngweb.org/plibrary
    email: 13921501950@163.com
\n
                                 August, 2019
\n
\n
\n
\n
    '''

    ############################ added after v1.1  ############################

    searchExaclty = 'Exactly'
    bracketf0 = ' <'
    bracketf1 = '> '

    cutMsg = 'Cut %s files and to be move to another location by pasting them.'
    onPasteCutConfirm = 'It will move the cut %s files to current location.\nConfirm move?'
    onPasteCopyConfirm = 'It will paste the copied %s files to current location.\nConfirm copy?'

    onPasteCutMsg = 'Successfully moved %s files to current location'
    onPasteCopyMsg = 'Successfully copied %s files to current location'

    favorSearchMsg = 'Searching sub folders in [Archive library] is not allowed. Please select one or more disk other than folders.'

    fileModified = 'Successfully modified the favorite item'
    dirModified = 'Successfully modified the folder, refresh the folder tree on left to show the updates.'
    favorTabName = 'Copied favorite items'

    onSameSize = 'Same size file             (Ctrl + S)'
    sameSizeTabName = '  File with same size  '
    sameSizeStatus = 'Found %i file with same size (Max is %i files). They may be the same files.'

    favorName = 'File on real disk'

    onAssignDisk = 'Relocate the disk location'
    selectNewDisk = 'Select a new location'

    relocationDiskConfirm = 'There is risk when using relocate the disk location. It relocates the file to another location on a disk with similar file structure. They are completely different, or may be different version of same files. For example, a copy of a folder in another computer or U-disks. It provide a easy way with risk to switch between the two or more copies. \nIt will relocate only when they 80% similar in the file structure. You may need to synchronize it after relocation in order to keep the correct information.'
    relocateDiskError = 'There are %i items are not in the new location. The degree of similarity is less than 80%.'

    searchMsgDisk = 'Search in [Disk & CD library]. You need to select some disks or folders and it will search among these disks and folders. The results will be sorted by the order of selection.'
    searchMsgFavor = 'Search in [Archive library]. Selection of disks is not required. And selection of folders is NOT allowed. The results will NOT be sorted by the order of selection.'
    searchMsgExaclty = 'It means searching will be acted exactly done by the search text. Otherwise, it will automatically add * before and after the text.'

    searchRegEx = 'RegEX'
    searchMsgRegEx = 'It uses regular expression in Python 3.7 to finish the search. In this case, exactly search is not effect.'
    searchRegExError = 'The regular expression [%s] has syntax error. Refer to some references before going on.'

    searchMsgButton = 'Click this button to begin search after defining search criteria and search range, and search type.'
    searchMsgConfig = 'Click this button to open configuration window'
    searchMsgHelp = 'Click this button to open help window '
