#
# 本文件是一个 Python 源代码文件，应该遵守 Python 语言的编写要求。
#
# 本文件保存在 PLibrary/lang 目录之下
# 文件的命名是 lang_xx_XX，其中 xx 是语言代码，XX 是国家（地区）代码
#
#  要求如下：
# （1）仅支持单行注释，并且要求是完整的一行的注释
# （2）每个变量直接赋值，不允许使用表达式（如引用已定义过的变量）
#
#
class Lang():
    title = "个人档案馆（Personal Library）"

    prompt = "提示"
    warning = "警告！！！"
    buttonOk = "确认"
    buttonCancel = "取消"

    bracket0 = '【'
    bracket1 = '】'

    mainMenuNewPLD = '新建档案库'
    mainMenuOpenPLD = '打开档案库'
    mainMenuImportDisk = "导入硬盘或光盘"
    mainMenuConfig = "配置"
    mainMenuHelp = "帮助"
    mainMenuAbout = "关于"
    mainMenuExit = "退出"
    mainExit = "确认退出个人档案馆吗？"

    searchSearch = "查找名称"
    searchDate = "修改时间"
    searchFrom = "开始"
    searchTo = "结束"
    searchSize = "文件大小"
    searchMin = "最小"
    searchMax = "最大"
    searchRange = "范围"
    searchDisk = "【硬盘光盘库】"
    searchFavor = "【资料归档库】"

    searchMsg = "在【硬盘光盘库】中至少选择一个盘符或目录"

    searchMsgText = "输入要查找的目录或文件名，用 * 作为通配符。非精确查找时，将自动在前后各加一个通配符，自动实现模糊查找。"
    searchMsgDate = "输入日期范围，格式是 2019-03-25 "
    searchMsgSize = "输入文件大小范围，单位可以是 G、M、K 或无单位"

    configShowHiddenOff = "不显示隐藏项目"
    configShowHiddenOn = "显示隐藏项目"
    configShowLostOff = "不显示丢失的项目"
    configShowLostOn = "显示丢失的项目"
    configIconInner = "* 内置图标优先"
    configIconFile = "* 自定义图标优先"
    configLangByOS = "* 由操作系统指定语言"
    configLayoutDisk = "* 硬盘光盘库位于上方"
    configLayoutFavor = "* 资料收藏库位于上方"
    configSearchTxtHistory = "查询历史记录"
    configSearchTxtCommonUse = "常用查询条件"
    configLayoutMsg = '* 这些项修改后，退出并重新加载才能生效'

    itemsSelected = "共选择 %s 个项目（所选的项目用作查找的范围）"
    itemsSelectedFile = "选择了 %s 个项目"
    diskNoNotAssign = "未指定盘符编号"

    diskLibrary = "【硬盘光盘库】"
    diskLibraryFile = '  【硬盘光盘库】文件列表  '
    diskLibrarySearch = '  【硬盘光盘库】查找结果  '
    favorLibrary = "【资料收藏库】"
    favorFile = '  【资料收藏库】归档列表  '
    favorSearch = '  【资料收藏库】查找结果  '

    doubleClick = "直接打开文件本身     （双击）"
    clickAlt = "打开所在的目录（Alt + 单击）"
    ctrlA = "选择全部            （Ctrl + A）"
    ctrlC = "复制                  （Ctrl + C）"
    altC = "复制文件名          （Ctrl + F）"
    ctrlH = "隐藏                  （Ctrl + H）"
    ctrlU = "解除隐藏            （Ctrl + U）"
    ctrlR = "文件查重            （Ctrl + R）"
    copiedMsg = "复制成功，可以粘贴到 Excel、Word 等各种软件，也可以粘贴到【资料收藏库】中。"
    itemsMsg = "共计 %i 个文件夹，%i 个文件"

    ctrlX = "剪切                  （Ctrl + X）"
    ctrlV = "粘贴                  （Ctrl + V）"
    ctrlD = "删除                  （Ctrl + D）"
    newFavorItem = "创建收藏项目     （Ctrl + N）"
    editFavorItem = "编辑收藏项目   （Alt + 单击）"

    onDeleteConfrim = '确认删除选择中的 %i 个项目（包括目录下的所有项目），硬盘文件同步后会重新加入，光盘文件信息被永久删除。\n确认删除？'
    onDeleteMsg = '已删除 %i 个项目（可能还有目录下的多个项目）'

    onvDeleteConfrim = '确认删除选择中的 %i 个项目（包括空目录）。\n确认删除？'
    onvDeleteMsg = '已删除 %i 个项目（文件和空目录）'

    newFavorItemTitle = '创建收藏项目'
    editFavorItemTitle = '编辑收藏项目'

    defaultFavorTag1 = '文件收藏'
    defaultFavorTag2 = '网址收藏'
    defaultFavorTag3 = '备忘记录'

    favorType = '收藏类型：'
    favorTypeDir = '目录'
    favorTypeNote = '备忘录'
    favorTypeLink = '文件链接'

    favorTitle = '标题'
    favorURL = '网址（URL，以 http:// 开始）'
    favorNote = '备忘'
    titleEmpty = "标题不能为空"
    badUrlString = '网址【%s】的格式错误，应该以 http:// 或 https:// 开始。'
    dirCreated = '目录已成功创建，左侧的目录树需要更新后才能显示出来'
    fileCreated = '文件已成功创建'

    itemsHidden = "隐藏了选中的 %i 个项目"
    itemsUnhidden = "解除了选中的 %i 个项目的隐藏"
    searchStatus = "结果共 %i 个项目（最多列出 %i 条项目，文件最小最大值都是 0 时，将仅查找文件夹，仅最小值为 0 时，将仅查找文件）"
    lostTabName = "  丢失的项目  "
    hiddenTabName = "  隐藏的项目  "
    showHiddenLostStatus = "列出隐藏的 %i 个项目（最多显示 %i 个）。列出丢失项目或隐藏项目时，应该先配置允许显示隐藏文件和丢失文件"
    duplicateTabName = '  重复的项目  '
    showDuplicateStatus = "列出重复的 %i 个文件（最多显示 %i 个）。列出重复文件时，应该先配置允许显示隐藏文件和丢失文件。重复文件是指文件名称、大小和时间都相同的文件，查重范围是所有盘符。"

    libraryFile = '个人档案库文件'
    newLibrary = '指定新的个人档案库文件名和保存位置'
    newLibraryMsg = '档案库文件 %s 已经存在，不能创建。\n\n如要强制创建，可先在操作系统中删除该文件。'
    newLibraryConfrim = "将要创建新的档案库文件 %s ？\n\n通常并不需要创建新的档案库文件，仍然要创建它？"
    openLibrary = '打开个人档案库文件'

    utf8FileFormat = "文件 %s 应该保存为 UTF-8 格式"
    diskNotDirectory = "应该选择一个盘符，而不是目录"

    onImportDisk = "导入硬盘或光盘"
    onRefreshDisk = "刷新盘符列表"
    onSychronizeDisk = "同步硬盘"

    onHiddenDisk = "隐藏盘符"
    onUnhiddenDisk = "解除隐藏盘符"

    onListLostFile = "列出丢失的项目"
    onListHiddenFile = "列出隐藏的项目"
    onListFavorFile = "列出收藏的项目"

    onDeleteLost = "清除丢失的项目"
    onDeleteDisk = "删除盘符及内容"
    onChangeDiskTag = "修改盘符编号"
    onDiskInfo = "盘符属性"

    onCreateFavorDisk = "创建收藏盘符"
    onChangeDiskName = "修改盘符名称"

    noLostFiles = '本盘符中没有丢失的文件'
    delLostMsg = '要清除“【%s】%s”上的 %i 个丢失文件吗？'

    # for disk import
    selectDisk = '选择驱动器或目录'
    selectNoDisk = "没有选择驱动器，中止导入操作"
    selectDiskConfirm = '确认导入驱动器或目录'
    importDiskRepeatMsg = "该盘符或目录“【%s】%s ”已被导入过（可能被隐藏），不能再次导入。如果需要，可以删除后重新导入。"

    diskProperty = '盘符属性'
    diskTag = "盘符编号："
    diskName = "盘符名称："
    diskDirs = "目录数量："
    diskFiles = "文件数量："
    diskHiddens = "隐藏项目："
    diskDeleted = "丢失项目："
    diskSpace = "占用空间："
    diskTotal = "项目总数："
    diskFileSystem = "文件系统："

    importProgress = "已导入个 %s 文件，文件太多时，有时可能会短时间暂停。"
    importCompleted = "导入完成，共导入 %s 个目录和 %s 个文件，用时 %s 秒。"
    importTime = "【导入时间】"

    synchroProgress = "已同步个 %s 文件，文件太多时，有时可能会短时间暂停。"
    synchroConfirm = "确认同步盘符“【%s】 %s”\n\n同步需要的时间将比导入的时间多数倍，但仍然建议使用同步功能\n确认同步吗？"
    synchroCompleted = "已检查 %s 个目录和 %s 个文件，本次新增 %s 个项目，累计删除 %s 个项目。用时 %s 秒。"
    synchroTime = "【同步时间】"

    sysConfig = "配置"
    sysAbout = "关于"
    sysHelp = "帮助"

    headName = "名称"
    headPath = "路径"
    headExt = "类型"
    headSize = "大小"
    headDate = "修改日期"
    headFiDate = "导入日期"
    headLost = "丢失"
    headVolNo = "编号"

    directoryLost = "目录已丢失，无法在资源管理器中打开"
    fileLost = "文件已丢失，无法打开"
    fileIsOnCd = "文件在编号 “【%s】%s” 的光盘上，\n\n请将该光盘插入光盘驱动器。"
    fileIsOnDisk = '文件在编号 “【%s】%s” 的硬盘上，可能原因及解决办法是：\n(1) 文件在另一台计算机上：将软件和数据复制到目标计算机上运行\n(2) 文件在 U 盘或移动硬盘上：将 U 盘或移动硬盘接入计算机'

    ########################### multiply line text ###########################
    selectDiskMsg = '''导入下述盘符或目录中的所有目录和文件（不导入系统文件、隐藏文件和Windows
系统目录中的文件）。
    【%s】
需要比较长的操作时间（每分钟导入 5 万个文件左右），确认导入？
    =============================================
    盘符编号格式A01，第一个字母，后两个数字，用于分类和排序。建议：
      A、B、C、D：用于台式机和笔记本
      E、F：用于U盘
      G、H：用于移动硬盘
      J～Q：用于光盘的分类
      R～Z：用于资料收藏库
    =============================================
指定盘符编号（输入一个字母时，自动编号）：'''

    changeDiskTagMsg = '''盘符名称：%s 
盘符编号：%s
    =============================================
    盘符编号格式A01，第一个字母，后两个数字，用于分类和排序。建议：
      A、B、C、D：用于台式机和笔记本
      E、F：用于U盘
      G、H：用于移动硬盘
      J～Q：用于光盘的分类
      R～Z：用于资料收藏库
    =============================================
输入新的盘符编号（输入一个字母时，自动编号）：'''

    changeDiskNameMsg = '''盘符名称：%s 
    盘符编号：%s
    =============================================
    输入新的盘符名称：'''

    createFavorDiskMsg = '''盘符编号：%s
自动生成的盘符编号是当前盘符之后的编号，创建后可修改
    =============================================
    输入新的盘符名称：'''

    delDiskMsg = '''将要删除下述盘符及其所有文件和目录（不是实际文件）：
    盘符编号：【%s】
    盘符名称：%s
确认删除吗？'''

    sysHelpMsg = '''
    个人档案馆用于集中管理多种来源的计算机文件，包括多台计算机上的硬盘、U 盘、移动硬盘和光盘，其原理是将文件信息导入到同一个数据库中，然后可以完美地实现跨磁盘和光盘查询。
    \n
    个人档案馆管理的是文件信息，主要是文件名称、大小、日期和保存位置，它不管理文件内容本身。需要访问文件时，还是要到对应的存储界质上进行读写操作。
    \n
    【硬盘光盘库】是多种来源的硬盘、U 盘、移动硬盘和光盘上文件的集合，这是只读的，导入后便不可修改，主要目的是查询，即使U 盘、移动硬盘不在身边，也能查到是否存在某个文件，以及文件是在哪个 U 盘或移动硬盘。
    \n
    【资料收藏库】对上述文件信息进行分类管理，将重要和常用的文件信息复制到收藏文件夹中，同一个文件可以复制到多个收藏文件夹中，使管理更加方便。这是可修改的，可以增加备注信息和关联网址，用于记录日常工作和生活中的点滴信息。
    \n
    本软件是免费软件，自由使用，欢迎复制。作者保证不加后门、不对使用情况进行统计，不安装关联软件，作者是一位教师，利用业余时间完成。
    \n
    \n    
                ====== 使用简介 ====== 
    \n
    本软件是绿色软件，无需安装。解压后只有一个可执行文件 PLibrary.exe，直接执行即可。
    \n
    首次运行，会在同一个目录下生成如下两个文件：
    \n
    (1) PLibrary.cnf： 这是配置文件，它保存配置界面中用户的选择，记录每次查询的条件。
    (2) PLibrary.pld： 这是数据文件，保存了所有文件信息，随着导入的数据增加，可能会达到几百兆。
    \n
    【硬盘光盘库】中的数据来源只有一项：从硬盘或光盘中导入。不导入系统文件和隐藏文件，因此如果 U 盘或移动硬盘上有个人私密文件，可以将其放在隐藏的目录下，导入时可以防止被意外导入，隐藏目录下的普通文件也不会被导入。
    \n
    【资料收藏库】中的数据有多个来源，一是从硬盘光盘库中复制粘贴过来，二是独立创建新的项目（与文件无关，例如用于收藏和管理网址，并可以记录简单的笔记备注信息），三是从资料收藏库中的其他位置复制粘贴过来。
    \n
    【硬盘光盘库】和【资料收藏库】除了数据来源不同，分别管理以外，其他功能基本相同。
    \n
    在需要时，可以创建 PLibrary 目录，用于保存自定义图标文件。系统只提供了100多个常用的图标，用户在使用过程中，可以添加图标文件，这是 16x16 像素的 png 文件，文件名是对应的文件后缀。
    \n
    如果硬盘上新增了文件，或者删除了一些文件，这时不要删除盘符后重新导入，而是使用“同步硬盘”功能，将会自动添加新文件，对于丢失的项目则会加上“丢失”标记，这本身也是一种历史记录。
    \n
    本软件的特色是提供了强大的查找功能，可以实现跨盘符查找，即选择几个盘符（硬盘或光盘），在选择的盘符内查找。还可以实现跨目录查找，同时选择不同盘符下的多个目录，在这些目录中查找。出于效率的考虑，最多只返回 1024 条查询结果。
    \n
    关于安全问题：如果在这两个库中有些文件是私密的，可以设置为隐藏，但是这并不是一个安全的措施，仅仅是查找时可以避免无意中出现在结果里。安全的办法是在导入前，在硬盘上将目录设置为隐藏，防止整个目录导入到硬盘光盘库中。
    \n
    \n
    \n
    联系网址：http://ngweb.org/plibrary
    联系电邮：13921501950@163.com
    \n
                                 2019年8月
    \n
    \n
    \n
    \n
    '''

    ############################ v1.1 版本后新增 ############################

    searchExaclty = '精确查找'
    bracketf0 = '〖'
    bracketf1 = '〗'

    cutMsg = '剪切 %s 项，将可以用粘贴的方式移动到目标位置'
    onPasteCutConfirm = '是否将 %s 个项目移动（已剪切）到当前位置中'
    onPasteCopyConfirm = '是否将 %s 个项目复制到当前位置中'

    onPasteCutMsg = '已将 %s 个项目移动（已剪切）到当前位置中'
    onPasteCopyMsg = '已将 %s 个项目复制到当前位置中'

    favorSearchMsg = '不能在【资料收藏库】中的子目录中查找，应该选择一个或多个库，而不是目录'

    fileModified = '文件已成功修改'
    dirModified = '目录已成功修改，左侧的目录树需要更新后才能正确显示'
    favorTabName = '复制收藏的项目'

    onSameSize = '同大小文件         （Ctrl + S）'
    sameSizeTabName = '  同大小的文件  '
    sameSizeStatus = '找到 %i 个同大小文件（最多显示 %i 个），它们有可能是相同的文件'

    favorName = '关联文件'

    onAssignDisk = '重定位盘符位置'
    selectNewDisk = '选择一个新的位置'
    relocationDiskConfirm = '请谨慎使用重定位功能。该功能将当前盘符定位到一个具有相同文件结构的另外一个盘符或目录中，其实它们是不同的，至少是同一组文件的不同版本，例如在两台电脑上的类似目录中，该功能方便在这两个目录中切换，而不是分别导入。\n只有在文件结构相似度达到 80% 时才能重定位，重定位之后有可能还需要同步，与新位置的文件结构实现同步。'
    relocateDiskError = '有 %i 个文件在新的位置中找不到，超过了 20%% 的比例。'

    searchMsgDisk = '在【硬盘光盘库】中查找，需要先选择一些盘符或目录，在选中的项目内查找，先选中的项目中查找的结果排列在前。'
    searchMsgFavor = '在【资料归档库】中查找，不必先选中盘符，如果要指定范围，也只能选择盘符，而不能选择目录，并且结果的次序与选中的先后无关。'
    searchMsgExaclty = '选择时，将按输入的文本进行查找（也可以含有通配符），否则自动在输入的文本前后各加一个通配符，实现模糊查找。'

    searchRegEx = '正则查找'
    searchMsgRegEx = '采用 Python 3.7 语言的正则表达式进行查找。这时精确查找不生效。'
    searchRegExError = '在正则表达式查找模式下，输入的正则表达式 %s 有语法错误，需要查阅相关资料。'

    searchMsgButton = '点击按钮开始查找，需要先定义好查找条件和查找的范围'
    searchMsgConfig = '打开配置窗口'
    searchMsgHelp = '打开帮助窗口'
