﻿#
# 本檔是一個 Python 原始程式碼檔，應該遵守 Python 語言的編寫要求。
#
# 本檔保存在 PLibrary/lang 目錄之下
# 檔的命名是 lang_xx_XX，其中 xx 是語言代碼，XX 是國家（地區）代碼
#
#  要求如下：
# （1）僅支持單行注釋，並且要求是完整的一行的注釋
# （2）每個變數直接賦值，不允許使用運算式（如引用已定義過的變數）
#
#
class Lang():
    title = "個人檔案館（Personal Library）"

    prompt = "提示"
    warning = "警告！！！"
    buttonOk = "確認"
    buttonCancel = "取消"

    bracket0 = '【'
    bracket1 = '】'

    mainMenuNewPLD = '新建檔案庫'
    mainMenuOpenPLD = '打開檔案庫'
    mainMenuImportDisk = "導入硬碟或光碟"
    mainMenuConfig = "配置"
    mainMenuHelp = "幫助"
    mainMenuAbout = "關於"
    mainMenuExit = "退出"
    mainExit = "確認退出個人檔案館嗎？"

    searchSearch = "查找名稱"
    searchDate = "修改時間"
    searchFrom = "開始"
    searchTo = "結束"
    searchSize = "文件大小"
    searchMin = "最小"
    searchMax = "最大"
    searchRange = "範圍"
    searchDisk = "【硬碟光盤庫】"
    searchFavor = "【資料歸檔庫】"

    searchMsg = "在【硬碟光盤庫】中至少選擇一個盤符或目錄"

    searchMsgText = "輸入要查找的目錄或檔案名，用 * 作為萬用字元。非精確查找時，將自動在前後各加一個萬用字元，自動實現模糊查找。"
    searchMsgDate = "輸入日期範圍，格式是 2019-03-25 "
    searchMsgSize = "輸入檔大小範圍，單位可以是 G、M、K 或無單位"

    configShowHiddenOff = "不顯示隱藏專案"
    configShowHiddenOn = "顯示隱藏專案"
    configShowLostOff = "不顯示丟失的專案"
    configShowLostOn = "顯示丟失的專案"
    configIconInner = "* 內置圖示優先"
    configIconFile = "* 自訂圖示優先"
    configLangByOS = "* 由作業系統指定語言"
    configLayoutDisk = "* 硬碟光盤庫位於上方"
    configLayoutFavor = "* 資料收藏庫位於上方"
    configSearchTxtHistory = "查詢歷史記錄"
    configSearchTxtCommonUse = "常用查詢準則"
    configLayoutMsg = '* 這些項修改後，退出並重新載入才能生效'

    itemsSelected = "共選擇 %s 個項目（所選的項目用作查找的範圍）"
    itemsSelectedFile = "選擇了 %s 個項目"
    diskNoNotAssign = "未指定盤符編號"

    diskLibrary = "【硬碟光盤庫】"
    diskLibraryFile = '  【硬碟光盤庫】檔清單  '
    diskLibrarySearch = '  【硬碟光盤庫】查找結果  '
    favorLibrary = "【資料收藏庫】"
    favorFile = '  【資料收藏庫】歸檔清單  '
    favorSearch = '  【資料收藏庫】查找結果  '

    doubleClick = "直接打開檔本身     （按兩下）"
    clickAlt = "打開所在的目錄（Alt + 按一下）"
    ctrlA = "選擇全部            （Ctrl + A）"
    ctrlC = "複製                  （Ctrl + C）"
    altC = "複製檔案名          （Ctrl + F）"
    ctrlH = "隱藏                  （Ctrl + H）"
    ctrlU = "解除隱藏            （Ctrl + U）"
    ctrlR = "文件查重            （Ctrl + R）"
    copiedMsg = "複製成功，可以粘貼到 Excel、Word 等各種軟體，也可以粘貼到【資料收藏庫】中。"
    itemsMsg = "共計 %i 個資料夾，%i 個檔"

    ctrlX = "剪切                  （Ctrl + X）"
    ctrlV = "粘貼                  （Ctrl + V）"
    ctrlD = "刪除                  （Ctrl + D）"
    newFavorItem = "創建收藏項目     （Ctrl + N）"
    editFavorItem = "編輯收藏專案   （Alt + 按一下）"

    onDeleteConfrim = '確認刪除選擇中的 %i 個專案（包括目錄下的所有專案），硬碟檔同步後會重新加入，光碟檔資訊被永久刪除。\n確認刪除？'
    onDeleteMsg = '已刪除 %i 個專案（可能還有目錄下的多個專案）'

    onvDeleteConfrim = '確認刪除選擇中的 %i 個專案（包括空目錄）。\n確認刪除？'
    onvDeleteMsg = '已刪除 %i 個專案（檔和空目錄）'

    newFavorItemTitle = '創建收藏項目'
    editFavorItemTitle = '編輯收藏專案'

    defaultFavorTag1 = '文件收藏'
    defaultFavorTag2 = '網址收藏'
    defaultFavorTag3 = '備忘記錄'

    favorType = '收藏類型：'
    favorTypeDir = '目錄'
    favorTypeNote = '備忘錄'
    favorTypeLink = '檔連結'

    favorTitle = '標題'
    favorURL = '網址（URL，以 http:// 開始）'
    favorNote = '備忘'
    titleEmpty = "標題不能為空"
    badUrlString = '網址【%s】的格式錯誤，應該以 http:// 或 https:// 開始。'
    dirCreated = '目錄已成功創建，左側的目錄樹需要更新後才能顯示出來'
    fileCreated = '檔已成功創建'

    itemsHidden = "隱藏了選中的 %i 個項目"
    itemsUnhidden = "解除了選中的 %i 個項目的隱藏"
    searchStatus = "結果共 %i 個項目（最多列出 %i 條項目，檔最小最大值都是 0 時，將僅查找資料夾，僅最小值為 0 時，將僅查找文件）"
    lostTabName = "  丟失的項目  "
    hiddenTabName = "  隱藏的項目  "
    showHiddenLostStatus = "列出隱藏的 %i 個專案（最多顯示 %i 個）。列出丟失專案或隱藏專案時，應該先配置允許顯示隱藏檔和丟失檔"
    duplicateTabName = '  重複的專案  '
    showDuplicateStatus = "列出重複的 %i 個檔（最多顯示 %i 個）。列出重複檔時，應該先配置允許顯示隱藏檔和丟失檔。重複檔是指檔案名稱、大小和時間都相同的檔，查重範圍是所有盤符。"

    libraryFile = '個人檔案庫檔'
    newLibrary = '指定新的個人檔案庫檔案名和保存位置'
    newLibraryMsg = '檔案庫檔 %s 已經存在，不能創建。\n\n如要強制創建，可先在作業系統中刪除該檔。'
    newLibraryConfrim = "將要創建新的檔案庫檔 %s ？\n\n通常並不需要創建新的檔案庫檔，仍然要創建它？"
    openLibrary = '打開個人檔案庫檔'

    utf8FileFormat = "檔 %s 應該保存為 UTF-8 格式"
    diskNotDirectory = "應該選擇一個盤符，而不是目錄"

    onImportDisk = "導入硬碟或光碟"
    onRefreshDisk = "刷新盤符列表"
    onSychronizeDisk = "同步硬碟"

    onHiddenDisk = "隱藏盤符"
    onUnhiddenDisk = "解除隱藏盤符"

    onListLostFile = "列出丟失的項目"
    onListHiddenFile = "列出隱藏的項目"
    onListFavorFile = "列出收藏的項目"

    onDeleteLost = "清除丟失的項目"
    onDeleteDisk = "刪除盤符及內容"
    onChangeDiskTag = "修改盤符編號"
    onDiskInfo = "盤符屬性"

    onCreateFavorDisk = "創建收藏盤符"
    onChangeDiskName = "修改盤符名稱"

    noLostFiles = '本盤符中沒有丟失的檔'
    delLostMsg = '要清除“【%s】%s”上的 %i 個丟失檔嗎？'

    # for disk import
    selectDisk = '選擇驅動器或目錄'
    selectNoDisk = "沒有選擇驅動器，中止導入操作"
    selectDiskConfirm = '確認導入驅動器或目錄'
    importDiskRepeatMsg = "該盤符或目錄“【%s】%s ”已被導入過（可能被隱藏），不能再次導入。如果需要，可以刪除後重新導入。"

    diskProperty = '盤符屬性'
    diskTag = "盤符編號："
    diskName = "盤符名稱："
    diskDirs = "目錄數量："
    diskFiles = "檔數量："
    diskHiddens = "隱藏項目："
    diskDeleted = "丟失項目："
    diskSpace = "佔用空間："
    diskTotal = "項目總數："
    diskFileSystem = "檔案系統："

    importProgress = "已導入個 %s 檔，檔太多時，有時可能會短時間暫停。"
    importCompleted = "導入完成，共導入 %s 個目錄和 %s 個檔，用時 %s 秒。"
    importTime = "【導入時間】"

    synchroProgress = "已同步個 %s 檔，檔太多時，有時可能會短時間暫停。"
    synchroConfirm = "確認同步盤符“【%s】 %s”\n\n同步需要的時間將比導入的時間多數倍，但仍然建議使用同步功能\n確認同步嗎？"
    synchroCompleted = "已檢查 %s 個目錄和 %s 個檔，本次新增 %s 個專案，累計刪除 %s 個項目。用時 %s 秒。"
    synchroTime = "【同步時間】"

    sysConfig = "配置"
    sysAbout = "關於"
    sysHelp = "幫助"

    headName = "名稱"
    headPath = "路徑"
    headExt = "類型"
    headSize = "大小"
    headDate = "修改日期"
    headFiDate = "導入日期"
    headLost = "丟失"
    headVolNo = "編號"

    directoryLost = "目錄已丟失，無法在資源管理器中打開"
    fileLost = "檔已丟失，無法打開"
    fileIsOnCd = "檔在編號 “【%s】%s” 的光碟上，\n\n請將該光碟插入光碟驅動器。"
    fileIsOnDisk = '檔在編號 “【%s】%s” 的硬碟上，可能原因及解決辦法是：\n(1) 檔在另一台電腦上：將軟體和資料複製到目的電腦上運行\n(2) 檔在 U 盤或移動硬碟上：將 U 盤或移動硬碟接入電腦'

    ########################### multiply line text ###########################
    selectDiskMsg = '''導入下述盤符或目錄中的所有目錄和檔（不導入系統檔、隱藏檔和Windows
系統目錄中的檔）。
    【%s】
需要比較長的操作時間（每分鐘導入 5 萬個文件左右），確認導入？
    =============================================
    盤符編號格式A01，第一個字母，後兩個數位，用於分類和排序。建議：
      A、B、C、D：用於桌上型電腦和筆記本
      E、F：用於U盤
      G、H：用於移動硬碟
      J～Q：用於光碟的分類
      R～Z：用於資料收藏庫
    =============================================
指定盤符編號（輸入一個字母時，自動編號）：'''

    changeDiskTagMsg = '''盤符名稱：%s 
盤符編號：%s
    =============================================
    盤符編號格式A01，第一個字母，後兩個數位，用於分類和排序。建議：
      A、B、C、D：用於桌上型電腦和筆記本
      E、F：用於U盤
      G、H：用於移動硬碟
      J～Q：用於光碟的分類
      R～Z：用於資料收藏庫
    =============================================
輸入新的盤符編號（輸入一個字母時，自動編號）：'''

    changeDiskNameMsg = '''盤符名稱：%s 
    盤符編號：%s
    =============================================
    輸入新的盤符名稱：'''

    createFavorDiskMsg = '''盤符編號：%s
自動生成的盤符編號是當前盤符之後的編號，創建後可修改
    =============================================
    輸入新的盤符名稱：'''

    delDiskMsg = '''將要刪除下述盤符及其所有檔和目錄（不是實際檔）：
    盤符編號：【%s】
    盤符名稱：%s
確認刪除嗎？'''

    sysHelpMsg = '''
    個人檔案館用於集中管理多種來源的電腦檔，包括多台電腦上的硬碟、U 盤、移動硬碟和光碟，其原理是將檔資訊導入到同一個資料庫中，然後可以完美地實現跨磁片和光碟查詢。
    \n
    個人檔案館管理的是檔資訊，主要是檔案名稱、大小、日期和保存位置，它不管理檔內容本身。需要訪問檔時，還是要到對應的存儲界質上進行讀寫操作。
    \n
    【硬碟光盤庫】是多種來源的硬碟、U 盤、移動硬碟和光碟上檔的集合，這是唯讀的，導入後便不可修改，主要目的是查詢，即使U 盤、移動硬碟不在身邊，也能查到是否存在某個檔，以及檔是在哪個 U 盤或移動硬碟。
    \n
    【資料收藏庫】對上述檔資訊進行分類管理，將重要和常用的檔資訊複製到收藏資料夾中，同一個檔可以複製到多個收藏資料夾中，使管理更加方便。這是可修改的，可以增加備註資訊和關聯網址，用於記錄日常工作和生活中的點滴資訊。
    \n
    本軟體是免費軟體，自由使用，歡迎複製。作者保證不加後門、不對使用情況進行統計，不安裝關聯軟體，作者是一位元教師，利用業餘時間完成。
    \n
    \n    
                ====== 使用簡介 ====== 
    \n
    本軟體是綠色軟體，無需安裝。解壓後只有一個可執行檔 PLibrary.exe，直接執行即可。
    \n
    首次運行，會在同一個目錄下生成如下兩個檔：
    \n
    (1) PLibrary.cnf： 這是設定檔，它保存配置介面中使用者的選擇，記錄每次查詢的條件。
    (2) PLibrary.pld： 這是資料檔案，保存了所有檔資訊，隨著導入的資料增加，可能會達到幾百兆。
    \n
    【硬碟光盤庫】中的資料來源只有一項：從硬碟或光碟中導入。不導入系統檔和隱藏檔，因此如果 U 盤或移動硬碟上有個人私密檔，可以將其放在隱藏的目錄下，導入時可以防止被意外導入，隱藏目錄下的普通檔也不會被導入。
    \n
    【資料收藏庫】中的資料有多個來源，一是從硬碟光盤庫中複製粘貼過來，二是獨立創建新的專案（與檔無關，例如用於收藏和管理網址，並可以記錄簡單的筆記備註資訊），三是從資料收藏庫中的其他位置複製粘貼過來。
    \n
    【硬碟光盤庫】和【資料收藏庫】除了資料來源不同，分別管理以外，其他功能基本相同。
    \n
    在需要時，可以創建 PLibrary 目錄，用於保存自訂圖示檔。系統只提供了100多個常用的圖示，使用者在使用過程中，可以添加圖示檔，這是 16x16 圖元的 png 檔，檔案名是對應的檔尾碼。
    \n
    如果硬碟上新增了檔，或者刪除了一些檔，這時不要刪除盤符後重新導入，而是使用“同步硬碟”功能，將會自動添加新檔，對於丟失的專案則會加上“丟失”標記，這本身也是一種歷史記錄。
    \n
    本軟體的特色是提供了強大的查找功能，可以實現跨盤符查找，即選擇幾個盤符（硬碟或光碟），在選擇的盤符內查找。還可以實現跨目錄查找，同時選擇不同盤符下的多個目錄，在這些目錄中查找。出於效率的考慮，最多只返回 1024 條查詢結果。
    \n
    關於安全問題：如果在這兩個庫中有些檔是私密的，可以設置為隱藏，但是這並不是一個安全的措施，僅僅是查找時可以避免無意中出現在結果裡。安全的辦法是在導入前，在硬碟上將目錄設置為隱藏，防止整個目錄導入到硬碟光盤庫中。
    \n
    \n
    \n
    聯繫網址：http://ngweb.org/plibrary
    聯繫電郵：13921501950@163.com
    \n
                                 2019年8月
    \n
    \n
    \n
    \n
    '''

    ############################ v1.1 版本後新增 ############################

    searchExaclty = '精確查找'
    bracketf0 = '〖'
    bracketf1 = '〗'

    cutMsg = '剪切 %s 項，將可以用粘貼的方式移動到目標位置'
    onPasteCutConfirm = '是否將 %s 個專案移動（已剪切）到當前位置中'
    onPasteCopyConfirm = '是否將 %s 個專案複製到當前位置中'

    onPasteCutMsg = '已將 %s 個項目移動（已剪切）到當前位置中'
    onPasteCopyMsg = '已將 %s 個項目複製到當前位置中'

    favorSearchMsg = '不能在【資料收藏庫】中的子目錄中查找，應該選擇一個或多個庫，而不是目錄'

    fileModified = '檔已成功修改'
    dirModified = '目錄已成功修改，左側的目錄樹需要更新後才能正確顯示'
    favorTabName = '複製收藏的專案'

    onSameSize = '同大小文件         （Ctrl + S）'
    sameSizeTabName = '  同大小的文件  '
    sameSizeStatus = '找到 %i 個同大小檔（最多顯示 %i 個），它們有可能是相同的檔'

    favorName = '關聯文件'

    onAssignDisk = '重定位盤符位置'
    selectNewDisk = '選擇一個新的位置'
    relocationDiskConfirm = '請謹慎使用重定位功能。該功能將當前盤符定位到一個具有相同檔結構的另外一個盤符或目錄中，其實它們是不同的，至少是同一組檔的不同版本，例如在兩台電腦上的類似目錄中，該功能方便在這兩個目錄中切換，而不是分別導入。\n只有在檔結構相似度達到 80% 時才能重定位，重定位之後有可能還需要同步，與新位置的檔結構實現同步。'
    relocateDiskError = '有 %i 個檔在新的位置中找不到，超過了 20%% 的比例。'

    searchMsgDisk = '在【硬碟光盤庫】中查找，需要先選擇一些盤符或目錄，在選中的專案內查找，先選中的專案中查找的結果排列在前。'
    searchMsgFavor = '在【資料歸檔庫】中查找，不必先選中盤符，如果要指定範圍，也只能選擇盤符，而不能選擇目錄，並且結果的次序與選中的先後無關。'
    searchMsgExaclty = '選擇時，將按輸入的文本進行查找（也可以含有萬用字元），否則自動在輸入的文本前後各加一個萬用字元，實現模糊查找。'

    searchRegEx = '正則查找'
    searchMsgRegEx = '採用 Python 3.7 語言的規則運算式進行查找。這時精確查找不生效。'
    searchRegExError = '在規則運算式查找模式下，輸入的規則運算式 %s 有語法錯誤，需要查閱相關資料。'

    searchMsgButton = '點擊按鈕開始查找，需要先定義好查找條件和查找的範圍'
    searchMsgConfig = '打開配置視窗'
    searchMsgHelp = '打開説明視窗'
